package de.renew.formalism.pt;

import org.junit.jupiter.api.Test;

import de.renew.shadowcompiler.ShadowCompiler;

import static org.junit.jupiter.api.Assertions.assertTrue;


public class PTNetCompilerTest {

    @Test
    public void testCreateCompiler() {
        // given
        PTNetCompiler compiler = new PTNetCompiler();

        // when
        ShadowCompiler createdCompiler = compiler.createCompiler();

        // then
        assertTrue(createdCompiler instanceof SinglePTNetCompiler);
    }
}
